Bug 125361 - system-config-kickstart --generate fails
Summary: system-config-kickstart --generate fails
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-05 01:43 UTC by Paul Raines
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 21:00:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Raines 2004-06-05 01:43:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
T312461)

Description of problem:
Running system-config-kickstart --generate fails with:

# system-config-kickstart --generate ks.cfg
Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/system-config-
kickstart.py", line 57, in ?
    useCliMode(value)
  File "/usr/share/system-config-kickstart/system-config-
kickstart.py", line 42, in useCliMode
    profileSystem = profileSystem.ProfileSystem(data)
  File "/usr/share/system-config-kickstart/profileSystem.py", line 
35, in __init__
    self.getMouse()
  File "/usr/share/system-config-kickstart/profileSystem.py", line 
68, in getMouse
    a, b, c, d, protocol = mouseDict[model]
ValueError: unpack tuple of wrong size


Version-Release number of selected component (if applicable):
2.5.11-1

How reproducible:
Always

Steps to Reproduce:
1. Just run 'system-config-kickstart --generate ks.cfg'

    

Actual Results:  Shown in description

Expected Results:  Should generate a kickstart file

Additional info:

Comment 1 Brent Fox 2004-06-17 21:00:42 UTC
Should be fixed by system-config-kickstart-2.5.11-3 in Rawhide once I
build a new package.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.